package com.xunhong.erp.turbo.api.biz.dto.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor
public enum CostItemRuleEnum {
	/**
	 * 录入规则：1_填数量；2_选纸箱；3_填数量+金额
	 */
	INPUT_QUANTITY(1, "录数量"),
	SELECT_BOX(2, "选纸箱"),
	INPUT_QUANTITY_AND_AMOUNT(3, "录数量+金额"),
	;

	@EnumValue
	private final int type;

	private final String message;
}
